//19.06.04 Update by M.Sasaki
//====Tooltip
$(document).on("mouseenter"
  , ".longnm"
  , function(){

    var v = $(this).val();
    if( $(this).hasClass("inputReadOnly") ) {
      v = $(this).text();
    }

    if( v == "") {
      $(this).tooltip('hide');
      return true;
    }

    $(this).attr("data-toggle",    "tooltip");
    $(this).attr("data-placement", "bottom");
    $(this).attr("data-original-title", v );
    $(this).attr("data-container", "body");

    $(this).tooltip("show");
 });

$(document).on("mouseenter"
  , ".error"
  , function(){

    $(this).attr("data-toggle",    "tooltip");
    $(this).attr("data-placement", "bottom");
    $(this).attr("data-original-title", $(this).attr("error-msg") );

    $(this).tooltip({placement:'bottom'});
    $(this).tooltip("show");
 });

 function hideToolTip() {
   $("div.tooltip.fade.in").remove();
 }
